Groovy Documentation

## org.codehaus.groovy.grails.orm.hibernate.cfg
[Groovy] Class ColumnConfig

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.cfg.ColumnConfig

    class ColumnConfig

Defines a column within the mapping.

Authors:
  Graeme Rocher

Since:
  1.0

Property Summary
`java.lang.String` | `enumType`
`java.lang.String` | `index`
`int` | `length`
`java.lang.String` | `name`
`int` | `precision`
`int` | `scale`
`java.lang.String` | `sqlType`
`boolean` | `unique`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### enumType

    java.lang.String enumType

### index

    java.lang.String index

### length

    int length

### name

    java.lang.String name

### precision

    int precision

### scale

    int scale

### sqlType

    java.lang.String sqlType

### unique

    boolean unique

Method Detail

### toString

    java.lang.String toString()

Groovy Documentation